Skip to content

Get permission space details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get permission space details through the permission space unique identifier (Code).

Method name

ManagementClient.getPermissionNamespace

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
codestringYes-Permission space CodeexamplePermissionNamespace

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getPermissionNamespace({
    code: "examplePermissionNamespace",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: GetPermissionNamespaceResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 indicates success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a GetPermissionNamespaceRespDtoResponse data

Example result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "code": "examplePermissionNamespace",
    "name": "Example Permission Space",
    "description": "Example Permission Space Description"
  }
}

Data structure

GetPermissionNamespaceRespDto

NameTypeIs it required?DescriptionExample value
codestringyesPermission space unique identifierexamplePermissionNamespace
namestringyesPermission space nameExample Permission Space
descriptionstringnoPermission space descriptionExample Permission Space Description

Agent infrastructure for identity, memory, and web action.